Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83459 - [GinGin beta 4] - kbdrate in X windows terminal causes continuous carriage returns
Summary: [GinGin beta 4] - kbdrate in X windows terminal causes continuous carriage re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kbd
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-04 17:02 UTC by Larry Troan
Modified: 2016-04-18 09:39 UTC (History)
3 users (show)

Fixed In Version: 1.20.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-28 18:43:03 UTC


Attachments (Terms of Use)

Description Larry Troan 2003-02-04 17:02:39 UTC
Type /usr/sbin/kbdrate in X windows causes continuous carriage returns. This
affects everything is X, as it does not stop when the terminal is closed.
Anything subsequently highlighted by the mouse will be continuously selected,
since the carriage returns do not stop until X is restarted

Note:
If the same /usr/sbin/kbdrate is executed in ttys then it works fine giving the
keyboard repeat rate and delay time. 
----------
Action by: jhull
Issue Registered

ISSUE TRACKER 14902, opened as sev 2.

Comment 1 Larry Troan 2003-02-11 14:31:39 UTC
Adrian, Any update on this?

Comment 2 Eido Inoue 2003-08-01 21:35:23 UTC
This appears fixed with the 1.20.1 in rawhide

Comment 3 Gary Lerhaupt 2004-05-24 21:16:44 UTC
Where can version 1.20 be found?  1.12 is in FC2 and it still has 
this problem.  Reopening for clarification.

Comment 4 Eido Inoue 2004-10-28 18:43:03 UTC
In current releaes, carriage returns are emmitted (to measure the
rate), but after about 10 of them kbdrate properly reports the rate.

kbdrate without any arguments attempts to send sequences that reset
the rate and other things-- giving the side effect of the carriage
returns. These sequences have no effect in an X window environment,
and end up appearing as carriage returns.

As the bugzilla was for "continuous carriage returns", closing the bug
as this is solved in the supported releases.


Note You need to log in before you can comment on or make changes to this bug.